> ## Documentation Index
> Fetch the complete documentation index at: https://docs.simmer.markets/llms.txt
> Use this file to discover all available pages before exploring further.

# Agent Settings Update

> Update settings for the current agent (API key auth).

Supported fields:
- auto_redeem_enabled: Toggle automatic redemption of winning Polymarket positions

Requires API key in Authorization header.



## OpenAPI

````yaml /openapi.json patch /api/sdk/agents/me/settings
openapi: 3.1.0
info:
  title: Simmer API
  description: Agent-native trading infrastructure for prediction markets.
  version: 1.0.0
servers:
  - url: https://api.simmer.markets
security: []
paths:
  /api/sdk/agents/me/settings:
    patch:
      summary: Agent Settings Update
      description: >-
        Update settings for the current agent (API key auth).


        Supported fields:

        - auto_redeem_enabled: Toggle automatic redemption of winning Polymarket
        positions


        Requires API key in Authorization header.
      operationId: api_sdk_agent_settings_update_api_sdk_agents_me_settings_patch
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AgentSettingsUpdate'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    AgentSettingsUpdate:
      properties:
        auto_redeem_enabled:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Auto Redeem Enabled
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
      type: object
      title: AgentSettingsUpdate
      description: Request to update per-agent settings (via API key auth).
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````